Index: vanHelsing/trunk/gui/src/de/dass_it/vanhelsing/gui/items/PoolItem.java
===================================================================
--- vanHelsing/trunk/gui/src/de/dass_it/vanhelsing/gui/items/PoolItem.java	(revision 844)
+++ vanHelsing/trunk/gui/src/de/dass_it/vanhelsing/gui/items/PoolItem.java	(revision 858)
@@ -1,217 +1,470 @@
 package de.dass_it.vanhelsing.gui.items;
 public class PoolItem extends ItemType implements UserObjectItem{
+	/**
+	 * @uml.property  name="name"
+	 */
 	private String name;
-	private String maximumVolumes;
-	private String poolType;
+	/**
+	 * @uml.property  name="maximumvolumes"
+	 */
+	private String maximumvolumes;
+	/**
+	 * @uml.property  name="pooltype"
+	 */
+	private String pooltype;
+	/**
+	 * @uml.property  name="storage"
+	 */
 	private String storage;
-	private String useVolumeOnce;
-	private String maximumVolumeJobs;
-	private String maximumVolumeFiles;
-	private String maximumVolumeBytes;
-	private String volumeUseDuration;
-	private String catalogFiles;
-	private String autoPrune;
-	private String volumeRetention;
-	private String actionOnPurge;
-	private String scratchPool;
-	private String recyclePool;
+	/**
+	 * @uml.property  name="usevolumeonce"
+	 */
+	private String usevolumeonce;
+	/**
+	 * @uml.property  name="maximumvolumejobs"
+	 */
+	private String maximumvolumejobs;
+	/**
+	 * @uml.property  name="maximumvolumefiles"
+	 */
+	private String maximumvolumefiles;
+	/**
+	 * @uml.property  name="maximumvolumebytes"
+	 */
+	private String maximumvolumebytes;
+	/**
+	 * @uml.property  name="volumeuseduration"
+	 */
+	private String volumeuseduration;
+	/**
+	 * @uml.property  name="catalogfiles"
+	 */
+	private String catalogfiles;
+	/**
+	 * @uml.property  name="autoprune"
+	 */
+	private String autoprune;
+	/**
+	 * @uml.property  name="volumeretention"
+	 */
+	private String volumeretention;
+	/**
+	 * @uml.property  name="actiononpurge"
+	 */
+	private String actiononpurge;
+	/**
+	 * @uml.property  name="scratchpool"
+	 */
+	private String scratchpool;
+	/**
+	 * @uml.property  name="recyclepool"
+	 */
+	private String recyclepool;
+	/**
+	 * @uml.property  name="recycle"
+	 */
 	private String recycle;
-	private String recycleOldestVolume;
-	private String recycleCurrentVolume;
-	private String purgeOldestVolume;
-	private String fileRetention;
-	private String jobRetention;
-	private String cleaningPrefix;
-	private String labelFormat;
+	/**
+	 * @uml.property  name="recycleoldestvolume"
+	 */
+	private String recycleoldestvolume;
+	/**
+	 * @uml.property  name="recyclecurrentvolume"
+	 */
+	private String recyclecurrentvolume;
+	/**
+	 * @uml.property  name="purgeoldestvolume"
+	 */
+	private String purgeoldestvolume;
+	/**
+	 * @uml.property  name="fileretention"
+	 */
+	private String fileretention;
+	/**
+	 * @uml.property  name="jobretention"
+	 */
+	private String jobretention;
+	/**
+	 * @uml.property  name="cleaningprefix"
+	 */
+	private String cleaningprefix;
+	/**
+	 * @uml.property  name="labelformat"
+	 */
+	private String labelformat;
 
 	public PoolItem() {}
 	
-	public PoolItem(String name, String poolType){
+	public PoolItem(String name, String pooltype){
 	setName(name);
-	setPoolType(poolType);
-	}
-
+	setPooltype(pooltype);
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="name"
+	 */
 	public String getName() {
 		return name;
 	}
 
+	/**
+	 * @param name
+	 * @uml.property  name="name"
+	 */
 	public void setName(String name) {
 		this.name = name;
 	}
 
-	public String getMaximumVolumes() {
-		return maximumVolumes;
-	}
-
-	public void setMaximumVolumes(String maximumVolumes) {
-		this.maximumVolumes = maximumVolumes;
-	}
-
-	public String getPoolType() {
-		return poolType;
-	}
-
-	public void setPoolType(String poolType) {
-		this.poolType = poolType;
-	}
-
+	/**
+	 * @return
+	 * @uml.property  name="maximumvolumes"
+	 */
+	public String getMaximumvolumes() {
+		return maximumvolumes;
+	}
+
+	/**
+	 * @param maximumvolumes
+	 * @uml.property  name="maximumvolumes"
+	 */
+	public void setMaximumvolumes(String maximumvolumes) {
+		this.maximumvolumes = maximumvolumes;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="pooltype"
+	 */
+	public String getPooltype() {
+		return pooltype;
+	}
+
+	/**
+	 * @param pooltype
+	 * @uml.property  name="pooltype"
+	 */
+	public void setPooltype(String pooltype) {
+		this.pooltype = pooltype;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="storage"
+	 */
 	public String getStorage() {
 		return storage;
 	}
 
+	/**
+	 * @param storage
+	 * @uml.property  name="storage"
+	 */
 	public void setStorage(String storage) {
 		this.storage = storage;
 	}
 
-	public String getUseVolumeOnce() {
-		return useVolumeOnce;
-	}
-
-	public void setUseVolumeOnce(String useVolumeOnce) {
-		this.useVolumeOnce = useVolumeOnce;
-	}
-
-	public String getMaximumVolumeJobs() {
-		return maximumVolumeJobs;
-	}
-
-	public void setMaximumVolumeJobs(String maximumVolumeJobs) {
-		this.maximumVolumeJobs = maximumVolumeJobs;
-	}
-
-	public String getMaximumVolumeFiles() {
-		return maximumVolumeFiles;
-	}
-
-	public void setMaximumVolumeFiles(String maximumVolumeFiles) {
-		this.maximumVolumeFiles = maximumVolumeFiles;
-	}
-
-	public String getMaximumVolumeBytes() {
-		return maximumVolumeBytes;
-	}
-
-	public void setMaximumVolumeBytes(String maximumVolumeBytes) {
-		this.maximumVolumeBytes = maximumVolumeBytes;
-	}
-
-	public String getVolumeUseDuration() {
-		return volumeUseDuration;
-	}
-
-	public void setVolumeUseDuration(String volumeUseDuration) {
-		this.volumeUseDuration = volumeUseDuration;
-	}
-
-	public String getCatalogFiles() {
-		return catalogFiles;
-	}
-
-	public void setCatalogFiles(String catalogFiles) {
-		this.catalogFiles = catalogFiles;
-	}
-
-	public String getAutoPrune() {
-		return autoPrune;
-	}
-
-	public void setAutoPrune(String autoPrune) {
-		this.autoPrune = autoPrune;
-	}
-
-	public String getVolumeRetention() {
-		return volumeRetention;
-	}
-
-	public void setVolumeRetention(String volumeRetention) {
-		this.volumeRetention = volumeRetention;
-	}
-
-	public String getActionOnPurge() {
-		return actionOnPurge;
-	}
-
-	public void setActionOnPurge(String actionOnPurge) {
-		this.actionOnPurge = actionOnPurge;
-	}
-
-	public String getScratchPool() {
-		return scratchPool;
-	}
-
-	public void setScratchPool(String scratchPool) {
-		this.scratchPool = scratchPool;
-	}
-
-	public String getRecyclePool() {
-		return recyclePool;
-	}
-
-	public void setRecyclePool(String recyclePool) {
-		this.recyclePool = recyclePool;
-	}
-
+	/**
+	 * @return
+	 * @uml.property  name="usevolumeonce"
+	 */
+	public String getUsevolumeonce() {
+		return usevolumeonce;
+	}
+
+	/**
+	 * @param usevolumeonce
+	 * @uml.property  name="usevolumeonce"
+	 */
+	public void setUsevolumeonce(String usevolumeonce) {
+		this.usevolumeonce = usevolumeonce;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="maximumvolumejobs"
+	 */
+	public String getMaximumvolumejobs() {
+		return maximumvolumejobs;
+	}
+
+	/**
+	 * @param maximumvolumejobs
+	 * @uml.property  name="maximumvolumejobs"
+	 */
+	public void setMaximumvolumejobs(String maximumvolumejobs) {
+		this.maximumvolumejobs = maximumvolumejobs;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="maximumvolumefiles"
+	 */
+	public String getMaximumvolumefiles() {
+		return maximumvolumefiles;
+	}
+
+	/**
+	 * @param maximumvolumefiles
+	 * @uml.property  name="maximumvolumefiles"
+	 */
+	public void setMaximumvolumefiles(String maximumvolumefiles) {
+		this.maximumvolumefiles = maximumvolumefiles;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="maximumvolumebytes"
+	 */
+	public String getMaximumvolumebytes() {
+		return maximumvolumebytes;
+	}
+
+	/**
+	 * @param maximumvolumebytes
+	 * @uml.property  name="maximumvolumebytes"
+	 */
+	public void setMaximumvolumebytes(String maximumvolumebytes) {
+		this.maximumvolumebytes = maximumvolumebytes;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="volumeuseduration"
+	 */
+	public String getVolumeuseduration() {
+		return volumeuseduration;
+	}
+
+	/**
+	 * @param volumeuseduration
+	 * @uml.property  name="volumeuseduration"
+	 */
+	public void setVolumeuseduration(String volumeuseduration) {
+		this.volumeuseduration = volumeuseduration;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="catalogfiles"
+	 */
+	public String getCatalogfiles() {
+		return catalogfiles;
+	}
+
+	/**
+	 * @param catalogfiles
+	 * @uml.property  name="catalogfiles"
+	 */
+	public void setCatalogfiles(String catalogfiles) {
+		this.catalogfiles = catalogfiles;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="autoprune"
+	 */
+	public String getAutoprune() {
+		return autoprune;
+	}
+
+	/**
+	 * @param autoprune
+	 * @uml.property  name="autoprune"
+	 */
+	public void setAutoprune(String autoprune) {
+		this.autoprune = autoprune;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="volumeretention"
+	 */
+	public String getVolumeretention() {
+		return volumeretention;
+	}
+
+	/**
+	 * @param volumeretention
+	 * @uml.property  name="volumeretention"
+	 */
+	public void setVolumeretention(String volumeretention) {
+		this.volumeretention = volumeretention;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="actiononpurge"
+	 */
+	public String getActiononpurge() {
+		return actiononpurge;
+	}
+
+	/**
+	 * @param actiononpurge
+	 * @uml.property  name="actiononpurge"
+	 */
+	public void setActiononpurge(String actiononpurge) {
+		this.actiononpurge = actiononpurge;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="scratchpool"
+	 */
+	public String getScratchpool() {
+		return scratchpool;
+	}
+
+	/**
+	 * @param scratchpool
+	 * @uml.property  name="scratchpool"
+	 */
+	public void setScratchpool(String scratchpool) {
+		this.scratchpool = scratchpool;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="recyclepool"
+	 */
+	public String getRecyclepool() {
+		return recyclepool;
+	}
+
+	/**
+	 * @param recyclepool
+	 * @uml.property  name="recyclepool"
+	 */
+	public void setRecyclepool(String recyclepool) {
+		this.recyclepool = recyclepool;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="recycle"
+	 */
 	public String getRecycle() {
 		return recycle;
 	}
 
+	/**
+	 * @param recycle
+	 * @uml.property  name="recycle"
+	 */
 	public void setRecycle(String recycle) {
 		this.recycle = recycle;
 	}
 
-	public String getRecycleOldestVolume() {
-		return recycleOldestVolume;
-	}
-
-	public void setRecycleOldestVolume(String recycleOldestVolume) {
-		this.recycleOldestVolume = recycleOldestVolume;
-	}
-
-	public String getRecycleCurrentVolume() {
-		return recycleCurrentVolume;
-	}
-
-	public void setRecycleCurrentVolume(String recycleCurrentVolume) {
-		this.recycleCurrentVolume = recycleCurrentVolume;
-	}
-
-	public String getPurgeOldestVolume() {
-		return purgeOldestVolume;
-	}
-
-	public void setPurgeOldestVolume(String purgeOldestVolume) {
-		this.purgeOldestVolume = purgeOldestVolume;
-	}
-
-	public String getFileRetention() {
-		return fileRetention;
-	}
-
-	public void setFileRetention(String fileRetention) {
-		this.fileRetention = fileRetention;
-	}
-
-	public String getJobRetention() {
-		return jobRetention;
-	}
-
-	public void setJobRetention(String jobRetention) {
-		this.jobRetention = jobRetention;
-	}
-
-	public String getCleaningPrefix() {
-		return cleaningPrefix;
-	}
-
-	public void setCleaningPrefix(String cleaningPrefix) {
-		this.cleaningPrefix = cleaningPrefix;
-	}
-
-	public String getLabelFormat() {
-		return labelFormat;
-	}
-
-	public void setLabelFormat(String labelFormat) {
-		this.labelFormat = labelFormat;
+	/**
+	 * @return
+	 * @uml.property  name="recycleoldestvolume"
+	 */
+	public String getRecycleoldestvolume() {
+		return recycleoldestvolume;
+	}
+
+	/**
+	 * @param recycleoldestvolume
+	 * @uml.property  name="recycleoldestvolume"
+	 */
+	public void setRecycleoldestvolume(String recycleoldestvolume) {
+		this.recycleoldestvolume = recycleoldestvolume;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="recyclecurrentvolume"
+	 */
+	public String getRecyclecurrentvolume() {
+		return recyclecurrentvolume;
+	}
+
+	/**
+	 * @param recyclecurrentvolume
+	 * @uml.property  name="recyclecurrentvolume"
+	 */
+	public void setRecyclecurrentvolume(String recyclecurrentvolume) {
+		this.recyclecurrentvolume = recyclecurrentvolume;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="purgeoldestvolume"
+	 */
+	public String getPurgeoldestvolume() {
+		return purgeoldestvolume;
+	}
+
+	/**
+	 * @param purgeoldestvolume
+	 * @uml.property  name="purgeoldestvolume"
+	 */
+	public void setPurgeoldestvolume(String purgeoldestvolume) {
+		this.purgeoldestvolume = purgeoldestvolume;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="fileretention"
+	 */
+	public String getFileretention() {
+		return fileretention;
+	}
+
+	/**
+	 * @param fileretention
+	 * @uml.property  name="fileretention"
+	 */
+	public void setFileretention(String fileretention) {
+		this.fileretention = fileretention;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="jobretention"
+	 */
+	public String getJobretention() {
+		return jobretention;
+	}
+
+	/**
+	 * @param jobretention
+	 * @uml.property  name="jobretention"
+	 */
+	public void setJobretention(String jobretention) {
+		this.jobretention = jobretention;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="cleaningprefix"
+	 */
+	public String getCleaningprefix() {
+		return cleaningprefix;
+	}
+
+	/**
+	 * @param cleaningprefix
+	 * @uml.property  name="cleaningprefix"
+	 */
+	public void setCleaningprefix(String cleaningprefix) {
+		this.cleaningprefix = cleaningprefix;
+	}
+
+	/**
+	 * @return
+	 * @uml.property  name="labelformat"
+	 */
+	public String getLabelformat() {
+		return labelformat;
+	}
+
+	/**
+	 * @param labelformat
+	 * @uml.property  name="labelformat"
+	 */
+	public void setLabelformat(String labelformat) {
+		this.labelformat = labelformat;
 	}
 }
